[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit '_crw_funmin' (#crwlib)

# QuasiNewton

## Declaration

Source position: _crw_funmin.pas line 418

`function QuasiNewton(`
`Problem: TMinProblem;`
`Report: TMinReport;`
`n: Integer;`
`var x: array of Double;`
`var fx: Double;`
`var gx: array of Double;`
`Custom: Pointer;`
`var Count: Integer;`
`MaxCount: Integer;`
`Method: Integer;`
`tolx: Double;`
`tolf: Double;`
`tolg: Double;`
`inf: Double;`
`var s: array of Double;`
`var y: array of Double;`
`var gy: array of Double;`
`var dx: array of Double;`
`var dg: array of Double;`
`var hdg: array of Double;`
`var dgh: array of Double;`
`var dxhdg: array of Double;`
`var h: array of Double;`
`nh: Integer`
`):Integer;`